package com.mca.sec;

import com.mca.sec.vo.LoginUserVO;
import egovframework.rte.fdl.security.userdetails.util.EgovUserDetailsHelper;
public class UserUtil {
	
	/**
	 * 현재 로그인 상태인 회원의 정보를 반환한다. 로그인 상태가 아니면 null값을 반환한다.
	 * @return loginUserVO 회원 정보
	 */
	public static LoginUserVO getMemberInfo() {
		return (LoginUserVO) EgovUserDetailsHelper.getAuthenticatedUser();
	}
	
	/**
	 * 현재 로그인 상태인 회원과 선택한 회원이 동일한지 확인한다.
	 * @return boolean
	 */
	public static boolean isEqualMember(String target) {
		LoginUserVO member = getMemberInfo();
		if (getMemberInfo() != null) {
			if(member.getUserid().equals(target)){
				return true;
			} else{
				return false;
			}
		} else {
			return false;
		}
	}
}
